import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class WorkContractService {
  save (param) {
    return request({
      url: prefix + '/contract/workContractBorrow/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/contract/workContractBorrow/updateStatusById',
      method: 'post',
      data: param
    })
  }
  updateStatusByContractInfoId (param) {
    return request({
      url: prefix + '/contract/workContractBorrow/updateStatusByContractInfoId',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/contract/workContractBorrow/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractInfoId (id) {
    return request({
      url: prefix + '/contract/workContractBorrow/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
  updateMessageStatusById (param) {
    return request({
      url: prefix + '/contract/workContractBorrow/updateMessageStatusById',
      method: 'post',
      data: param
    })
  }
  deleteById (id) {
    return request({
      url: prefix + '/contract/workContractBorrow/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
  findMessageList (id) {
    return request({
      url: prefix + '/contract/workContractBorrow/findMessageList',
      method: 'get',
      params: {id: id}
    })
  }
}
